package com.ytpm.middle.dao;

import com.ytpm.middle.model.YtPlatformMessage;
import com.ytpm.middle.model.YtPlatformMessageRecord;
import com.ytpm.middle.param.MessageParam;
import com.ytpm.middle.view.MessageVO;
import org.mapstruct.Mapper;

import java.util.List;

@Mapper
public interface MessageMapper {
    /**
     * 新建消息
     */
    void insertMessage(YtPlatformMessage message);

    /**
     * 修改消息
     */
    void updateByPrimaryKeySelective(YtPlatformMessage message);

    /**
     * 批量插入消息接收
     */
    void batchInsertMessageRecipient(YtPlatformMessageRecord record);

    /**
     * 查询消息列表
     */
    List<MessageVO> queryAll(MessageParam param);
}
